## gr-fosphor 3.9~git20240323.74d54fc

=== CMakeLists.txt ===
# Copyright 2011-2020 Free Software Foundation, Inc.
# Copyright 2013-2021 Sylvain Munaut <tnt@246tNt.com>
#
# This file is part of gr-fosphor
#
# SPDX-License-Identifier: GPL-3.0-or-later

########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 3.8)
project(gr-fosphor CXX C)
include(GNUInstallDirs)
enable_testing()

#policy setup
cmake_policy(SET CMP0011 NEW)
cmake_policy(SET CMP0071 NEW)


#select the release build type by default to get optimization flags
if(NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE "Release")
   message(STATUS "Build type not specified: defaulting to release.")
endif(NOT CMAKE_BUILD_TYPE)
set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "")

########################################################################
# GNURadio setup
########################################################################
list(INSERT CMAKE_MODULE_PATH 0 ${CMAKE_SOURCE_DIR}/cmake/Modules)

# Find GNURadio
find_package(Gnuradio "3.9" REQUIRED runtime fft)

# Set the version information here
set(VERSION_MAJOR 3)
set(VERSION_API   9)
set(VERSION_ABI   0)
set(VERSION_PATCH git)
include(GrVersion) #setup version info

########################################################################
# Compiler specific setup
########################################################################
if((CMAKE_CXX_COMPILER_ID MATCHES "Clang" OR
    CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    AND NOT WIN32)
    #http://gcc.gnu.org/wiki/Visibility
    add_definitions(-fvisibility=hidden)
    #false positives
    add_definitions(-Wno-format-overflow)
endif()

if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    set(CMAKE_CXX_STANDARD 14)
elseif(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    set(CMAKE_CXX_STANDARD 14)
elseif(CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
    set(CMAKE_CXX_STANDARD 14)
else()
    message(WARNING "C++ standard could not be set because compiler is not GNU, Clang or MSVC.")
endif()

if(CMAKE_C_COMPILER_ID STREQUAL "GNU")
    set(CMAKE_C_STANDARD 11)
elseif(CMAKE_C_COMPILER_ID MATCHES "Clang")
    set(CMAKE_C_STANDARD 11)
elseif(CMAKE_C_COMPILER_ID STREQUAL "MSVC")
    set(CMAKE_C_STANDARD 11)
else()
    message(WARNING "C standard could not be set because compiler is not GNU, Clang or MSVC.")
endif()

########################################################################
# Install directories
########################################################################
include(GrPlatform) #define LIB_SUFFIX

if(NOT CMAKE_MODULES_DIR)
  set(CMAKE_MODULES_DIR lib${LIB_SUFFIX}/cmake)
endif(NOT CMAKE_MODULES_DIR)

set(GR_INCLUDE_DIR      include)
set(GR_CMAKE_DIR        ${CMAKE_MODULES_DIR}/gnuradio)
set(GR_PKG_DATA_DIR     ${GR_DATA_DIR}/${CMAKE_PROJECT_NAME})
set(GR_PKG_DOC_DIR      ${GR_DOC_DIR}/${CMAKE_PROJECT_NAME})
set(GR_PKG_CONF_DIR     ${GR_CONF_DIR}/${CMAKE_PROJECT_NAME}/conf.d)
set(GR_PKG_LIBEXEC_DIR  ${GR_LIBEXEC_DIR}/${CMAKE_PROJECT_NAME})

########################################################################
# Find boost
########################################################################
find_package(Boost "1.65" COMPONENTS system chrono thread)

if(NOT Boost_FOUND)
    message(FATAL_ERROR "Boost required to compile gr-fosphor")
endif()

########################################################################
# Find gr-fosphor build dependencies
########################################################################

# Required
set(OpenGL_GL_PREFERENCE "GLVND")
find_package(OpenGL)
if(NOT OPENGL_FOUND)
	message(FATAL_ERROR "OpenGL required to compile gr-fosphor")
endif()

find_package(OpenCL)
if(NOT OpenCL_FOUND)
	message(FATAL_ERROR "OpenCL required to compile gr-fosphor")
endif()

find_package(Freetype)
if(NOT FREETYPE_FOUND)
	message(FATAL_ERROR "freetype2 required to compile gr-fosphor")
endif()

# Optional
find_package(GLFW3)

set(Qt5_REQUIRED_COMPONENTS Core Gui OpenGL)
find_package(Qt5 5.9.0 COMPONENTS ${Qt5_REQUIRED_COMPONENTS})
if (Qt5_FOUND)
       foreach(module ${Qt5_REQUIRED_COMPONENTS})
               list(APPEND Qt5_INCLUDE_DIRS ${Qt5${module}_INCLUDE_DIRS})
               list(APPEND Qt5_LIBRARIES ${Qt5${module}_LIBRARIES})
       endforeach(module)
endif (Qt5_FOUND)

find_package(PNG 1.6.19)

########################################################################
# Find gnuradio build dependencies
########################################################################

find_package(Doxygen)
find_package(PythonLibs 3)

########################################################################
# PyBind11 Related
########################################################################

find_package(pybind11 REQUIRED)

if (pybind11_FOUND)
    execute_process(
        COMMAND "${PYTHON_EXECUTABLE}" -c
        "try:\n import numpy\n import os\n inc_path = numpy.get_include()\n if os.path.exists(os.path.join(inc_path, 'numpy', 'arrayobject.h')):\n  print(inc_path, end='')\nexcept:\n pass"
        OUTPUT_VARIABLE PYTHON_NUMPY_INCLUDE_DIR)
endif (pybind11_FOUND)

########################################################################
# Setup doxygen option
########################################################################
if(DOXYGEN_FOUND)
    option(ENABLE_DOXYGEN "Build docs using Doxygen" ON)
else(DOXYGEN_FOUND)
    option(ENABLE_DOXYGEN "Build docs using Doxygen" OFF)
endif(DOXYGEN_FOUND)

########################################################################
# Setup the components
########################################################################

include(GrComponent)

GR_REGISTER_COMPONENT("PNG" ENABLE_PNG
    PNG_FOUND
)

GR_REGISTER_COMPONENT("Python" ENABLE_PYTHON
    PYTHONLIBS_FOUND pybind11_FOUND
)

GR_REGISTER_COMPONENT("GLFW" ENABLE_GLFW
    GLFW3_FOUND
)

GR_REGISTER_COMPONENT("QT" ENABLE_QT
    Qt5_FOUND
)

macro(list_cond_append cond list_name)
    if(${cond})
        list(APPEND ${list_name} ${ARGN})
    endif(${cond})
endmacro(list_cond_append)

########################################################################
# Create uninstall target
########################################################################
configure_file(
    ${CMAKE_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)

########################################################################
# Add subdirectories
########################################################################
add_subdirectory(include/gnuradio/fosphor)
add_subdirectory(lib)

if(ENABLE_PYTHON)
    add_subdirectory(python)
    add_subdirectory(grc)
    add_subdirectory(apps)
endif(ENABLE_PYTHON)

add_subdirectory(docs)

########################################################################
# Print Summary
########################################################################
GR_PRINT_COMPONENT_SUMMARY()
MESSAGE(STATUS "Using install prefix: ${CMAKE_INSTALL_PREFIX}")

=== docs/CMakeLists.txt ===
# Copyright 2011-2020 Free Software Foundation, Inc.
# Copyright 2013-2021 Sylvain Munaut <tnt@246tNt.com>
#
# This file is part of gr-fosphor
#
# SPDX-License-Identifier: GPL-3.0-or-later

########################################################################
# Begin conditional configuration
########################################################################
if(ENABLE_DOXYGEN)

########################################################################
# Add subdirectories
########################################################################
add_subdirectory(doxygen)

endif(ENABLE_DOXYGEN)

=== grc/CMakeLists.txt ===
# Copyright 2011-2020 Free Software Foundation, Inc.
# Copyright 2013-2021 Sylvain Munaut <tnt@246tNt.com>
#
# This file is part of gr-fosphor
#
# SPDX-License-Identifier: GPL-3.0-or-later

list_cond_append(ENABLE_GLFW fosphor_grc fosphor_glfw_sink_c.block.yml)
list_cond_append(ENABLE_QT   fosphor_grc fosphor_qt_sink_c.block.yml)

install(FILES
    fosphor.tree.yml overlap_cc.block.yml ${fosphor_grc}
    DESTINATION share/gnuradio/grc/blocks
)

=== lib/CMakeLists.txt ===
# Copyright 2011-2020 Free Software Foundation, Inc.
# Copyright 2013-2021 Sylvain Munaut <tnt@246tNt.com>
#
# This file is part of gr-fosphor
#
# SPDX-License-Identifier: GPL-3.0-or-later

########################################################################
# Setup library
########################################################################
include(GrPlatform) #define LIB_SUFFIX

find_package(PythonInterp 3)

add_custom_command(
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/fosphor
  OUTPUT fosphor/resource_data.c
  DEPENDS fosphor/fft.cl fosphor/display.cl fosphor/cmap_simple.glsl fosphor/cmap_bicubic.glsl fosphor/cmap_fallback.glsl fosphor/DroidSansMonoDotted.ttf
  COMMAND ${CMAKE_COMMAND} -E make_directory ${CMAKE_CURRENT_BINARY_DIR}/fosphor/
  COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/fosphor/llist.h ${CMAKE_CURRENT_BINARY_DIR}/fosphor/
  COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/fosphor/resource_internal.h ${CMAKE_CURRENT_BINARY_DIR}/fosphor/
  COMMAND ${PYTHON_EXECUTABLE} -B mkresources.py fft.cl display.cl cmap_simple.glsl cmap_bicubic.glsl cmap_fallback.glsl DroidSansMonoDotted.ttf > ${CMAKE_CURRENT_BINARY_DIR}/fosphor/resource_data.c
)

list(APPEND fosphor_sources
	fosphor/axis.c
	fosphor/cl.c
	fosphor/cl_compat.c
	fosphor/fosphor.c
	fosphor/gl.c
	fosphor/gl_cmap.c
	fosphor/gl_cmap_gen.c
	fosphor/gl_font.c
	fosphor/resource.c
	fosphor/resource_data.c
	fifo.cc
	base_sink_c_impl.cc
	overlap_cc_impl.cc
)

list_cond_append(ENABLE_GLFW fosphor_sources glfw_sink_c_impl.cc)
list_cond_append(ENABLE_QT   fosphor_sources QGLSurface.cc qt_sink_c_impl.cc)

add_library(gnuradio-fosphor SHARED ${fosphor_sources})

target_include_directories(gnuradio-fosphor
	PUBLIC ${OPENGL_INCLUDE_DIRS}
	PUBLIC ${OpenCL_INCLUDE_DIRS}
	PUBLIC ${FREETYPE_INCLUDE_DIRS}
	PUBLIC ${Boost_INCLUDE_DIR}
	PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/../include>
	PUBLIC $<INSTALL_INTERFACE:include>
)
target_link_libraries(gnuradio-fosphor
	${OPENGL_LIBRARIES}
	${OpenCL_LIBRARIES}
	${FREETYPE_LIBRARIES}
	${Boost_LIBRARIES}
	gnuradio::gnuradio-runtime
	gnuradio::gnuradio-fft
	${CMAKE_DL_LIBS}
)

if(WIN32)
   find_package(GLEW REQUIRED)
   target_include_directories(gnuradio-fosphor PRIVATE ${GLEW_INCLUDE_DIRS})
   target_link_libraries(gnuradio-fosphor ${GLEW_LIBRARIES})
   add_definitions(-DENABLE_GLEW)
endif(WIN32)

if(ENABLE_PYTHON)
    add_definitions(-DENABLE_PYTHON)
    target_include_directories(gnuradio-fosphor PUBLIC ${PYTHON_INCLUDE_DIRS})
    target_link_libraries(gnuradio-fosphor ${PYTHON_LIBRARY})
endif(ENABLE_PYTHON)

if(ENABLE_GLFW)
    target_include_directories(gnuradio-fosphor PUBLIC ${GLFW3_INCLUDE_DIRS})
    target_link_libraries(gnuradio-fosphor ${GLFW3_LIBRARIES})
endif(ENABLE_GLFW)

if(ENABLE_QT)
    set_target_properties(gnuradio-fosphor PROPERTIES AUTOMOC ON)
    target_include_directories(gnuradio-fosphor PUBLIC ${Qt5_INCLUDE_DIRS})
    target_link_libraries(gnuradio-fosphor ${Qt5_LIBRARIES})
endif(ENABLE_QT)

if(ENABLE_PNG)
    add_definitions(-DENABLE_PNG)
    target_include_directories(gnuradio-fosphor PRIVATE ${PNG_INCLUDE_DIRS})
    target_link_libraries(gnuradio-fosphor ${PNG_LIBRARIES})
endif(ENABLE_PNG)

set_target_properties(gnuradio-fosphor PROPERTIES DEFINE_SYMBOL "gnuradio_fosphor_EXPORTS")

if(APPLE)
    set_target_properties(gnuradio-fosphor PROPERTIES
        INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib"
    )
endif(APPLE)

########################################################################
# Install built library files
########################################################################
include(GrMiscUtils)
GR_LIBRARY_FOO(gnuradio-fosphor)

########################################################################
# Print summary
########################################################################
message(STATUS "Using install prefix: ${CMAKE_INSTALL_PREFIX}")
message(STATUS "Building for version: ${VERSION} / ${LIBVER}")

=== docs/doxygen/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-test
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

########################################################################
# Create the doxygen configuration file
########################################################################
file(TO_NATIVE_PATH ${CMAKE_SOURCE_DIR} top_srcdir)
file(TO_NATIVE_PATH ${CMAKE_BINARY_DIR} top_builddir)
file(TO_NATIVE_PATH ${CMAKE_SOURCE_DIR} abs_top_srcdir)
file(TO_NATIVE_PATH ${CMAKE_BINARY_DIR} abs_top_builddir)

set(HAVE_DOT ${DOXYGEN_DOT_FOUND})
set(enable_html_docs YES)
set(enable_latex_docs NO)
set(enable_mathjax NO)
set(enable_xml_docs YES)

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in
    ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
@ONLY)

set(BUILT_DIRS ${CMAKE_CURRENT_BINARY_DIR}/xml ${CMAKE_CURRENT_BINARY_DIR}/html)

########################################################################
# Make and install doxygen docs
########################################################################
add_custom_command(
    OUTPUT ${BUILT_DIRS}
    COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMMENT "Generating documentation with doxygen"
)

add_custom_target(doxygen_target ALL DEPENDS ${BUILT_DIRS})

install(DIRECTORY ${BUILT_DIRS} DESTINATION ${GR_PKG_DOC_DIR})

=== lib/fosphor/Makefile ===
UNAME=$(shell uname)
CC=gcc
CFLAGS=-Wall -Werror -O2 `pkg-config freetype2 glfw3 libpng --cflags` -g
LDLIBS=`pkg-config freetype2 glfw3 libpng --libs` -lm
ifneq ($(AMDAPPSDKROOT), )
CFLAGS+=-I$(AMDAPPSDKROOT)/include
endif
ifeq ($(UNAME), Linux)
LDLIBS+=-lOpenCL -lGL -ldl
endif
ifeq ($(UNAME), Darwin)
LDLIBS+=-framework OpenCL -framework OpenGL -framework Cocoa -framework IOKit
endif
LDFLAGS=-g

RESOURCE_FILES=fft.cl display.cl cmap_simple.glsl cmap_bicubic.glsl cmap_fallback.glsl DroidSansMonoDotted.ttf

all: main

resource_data.c: $(RESOURCE_FILES) mkresources.py
	./mkresources.py $(RESOURCE_FILES) > resource_data.c

main: resource.o resource_data.o axis.o cl.o cl_compat.o fosphor.o gl.o gl_cmap.o gl_cmap_gen.o gl_font.o main.o

clean:
	rm -f main *.o resource_data.c

=== python/bindings/CMakeLists.txt ===
# Copyright 2011-2020 Free Software Foundation, Inc.
# Copyright 2013-2021 Sylvain Munaut <tnt@246tNt.com>
#
# This file is part of gr-fosphor
#
# SPDX-License-Identifier: GPL-3.0-or-later

########################################################################
# Check for pygccxml
########################################################################
GR_PYTHON_CHECK_MODULE_RAW(
    "pygccxml"
    "import pygccxml"
    PYGCCXML_FOUND
    )

# Official module is broken, makes too many assumptions that are not true
#include(GrPybind)

include(GrPython)

macro(GR_PYBIND_MAKE name updir filter files)

configure_file(${CMAKE_SOURCE_DIR}/docs/doxygen/pydoc_macros.h ${CMAKE_CURRENT_BINARY_DIR} COPYONLY)

pybind11_add_module(${name}_python ${files})

SET(MODULE_NAME ${name})
if (${name} STREQUAL gr)
    SET(MODULE_NAME "runtime")
endif()

target_include_directories(${name}_python PUBLIC
    ${CMAKE_CURRENT_BINARY_DIR}
    ${PYTHON_NUMPY_INCLUDE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/${updir}/lib
    ${CMAKE_CURRENT_SOURCE_DIR}/${updir}/include
    ${PYBIND11_INCLUDE_DIR}
)
target_link_libraries(${name}_python PUBLIC ${Boost_LIBRARIES} ${PYTHON_LIBRARIES} gnuradio-${MODULE_NAME})
if(CMAKE_CXX_COMPILER_ID MATCHES "Clang" OR
   CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    target_compile_options(${name}_python PRIVATE -Wno-unused-variable) # disable warnings for docstring templates
endif(CMAKE_CXX_COMPILER_ID MATCHES "Clang" OR
      CMAKE_CXX_COMPILER_ID STREQUAL "GNU")

endmacro(GR_PYBIND_MAKE)



########################################################################
# Python Bindings
########################################################################

list(APPEND fosphor_python_files
    base_sink_c_python.cc
    glfw_sink_c_python.cc
    qt_sink_c_python.cc
    overlap_cc_python.cc
    python_bindings.cc)

GR_PYBIND_MAKE(fosphor
   ../..
   gr::fosphor
   "${fosphor_python_files}")

install(TARGETS fosphor_python DESTINATION ${GR_PYTHON_DIR}/gnuradio/fosphor COMPONENT pythonapi)

=== include/gnuradio/fosphor/CMakeLists.txt ===
# Copyright 2011-2020 Free Software Foundation, Inc.
# Copyright 2013-2021 Sylvain Munaut <tnt@246tNt.com>
#
# This file is part of gr-fosphor
#
# SPDX-License-Identifier: GPL-3.0-or-later

########################################################################
# Install public header files
########################################################################
list(APPEND fosphor_headers
    api.h
    base_sink_c.h
    overlap_cc.h
)

list_cond_append(ENABLE_GLFW fosphor_headers glfw_sink_c.h)
list_cond_append(ENABLE_QT   fosphor_headers qt_sink_c.h)

install(FILES
    ${fosphor_headers}
    DESTINATION include/gnuradio/fosphor
)

=== debian/changelog ===
gr-fosphor (3.9~git20240323.74d54fc-1build9) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Aug 2025 13:55:46 +0200

gr-fosphor (3.9~git20240323.74d54fc-1build8) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Aug 2025 13:54:07 +0200

gr-fosphor (3.9~git20240323.74d54fc-1build7) questing; urgency=medium

  * Rebuild against latest gnuradio

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 03 May 2025 11:54:13 -0400

gr-fosphor (3.9~git20240323.74d54fc-1build6) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 30 Jan 2025 14:43:30 +0000

gr-fosphor (3.9~git20240323.74d54fc-1build5) plucky; urgency=medium

  * No-change rebuild for libspdlog1.15.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 26 Jan 2025 11:19:14 +0000

gr-fosphor (3.9~git20240323.74d54fc-1build4) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2025 06:05:36 +0100

gr-fosphor (3.9~git20240323.74d54fc-1build3) plucky; urgency=medium

  * Rebuild against latest spdlog

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 19 Nov 2024 10:26:22 -0500

gr-fosphor (3.9~git20240323.74d54fc-1build2) oracular; urgency=medium

  * No-change rebuild for gnuradio-3.10.11.0

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 26 Jul 2024 08:00:25 +0100

gr-fosphor (3.9~git20240323.74d54fc-1build1) oracular; urgency=high

  * No change rebuild against gnuradio.

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 14 May 2024 10:25:33 +0200

gr-fosphor (3.9~git20240323.74d54fc-1) unstable; urgency=medium

  * New upstream commit.
    README.md file
  * Update standards version to 4.7.0, no changes needed.

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 21 Apr 2024 18:52:35 +0000

=== debian/control ===
Source: gr-fosphor
Section: libdevel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper (>= 13),
	       dh-python,
               doxygen,
               gnuradio-dev (>=3.9),
	       graphviz,
               libboost-regex-dev,
               libboost-system-dev,
               libboost-thread-dev,
               libfreetype-dev,
               libgl-dev,
               libglfw3-dev,
	       libgmp-dev,
               liblog4cpp5-dev,
	       libqt5opengl5-dev,
               ocl-icd-opencl-dev | nvidia-opencl-dev [amd64 arm64 ppc64el],
	       opencl-headers,
               pkgconf,
	       python3-dev,
	       python3-numpy,
	       qt5-qmake,
	       qtbase5-dev,
	       qttools5-dev
Standards-Version: 4.7.0
Homepage: http://sdr.osmocom.org/trac/wiki/fosphor
Vcs-Browser: https://salsa.debian.org/bottoms/pkg-gr-fosphor
Vcs-Git: https://salsa.debian.org/bottoms/pkg-gr-fosphor.git

Package: gr-fosphor
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends}, gnuradio-dev,
         libgnuradio-fosphor3.9.0  (=${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: gnuradio fosphor block (GPU spectrum display)
 This implements a GNU Radio sink consisting of a GL display window
 that provides a Real Time Spectrum Analyzer (RTSA)-like spectrum
 visualization using OpenCL and OpenGL acceleration.
 .
 To use the fosphor blocks in Python, import it as :
 .
 from gnuradio import fosphor
 .
 See the Doxygen documentation for details about the blocks available
 in this package. A quick listing of the details can be found in Python
 after importing by using:
 .
 help(fosphor)

Package: libgnuradio-fosphor3.9.0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gr-fosphor
Description: gnuradio fosphor block (GPU spectrum display) (library)
 This implements a GNU Radio sink consisting of a GL display window
 that provides a Real Time Spectrum Analyzer (RTSA)-like spectrum
 visualization using OpenCL and OpenGL acceleration.
 .
 This package provides a shared library.

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with python3 --with numpy3

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"

override_dh_auto_install:
	dh_auto_install
	rm -f debian/tmp/usr/lib/python3.7/dist-packages/gnuradio/fosphor/*pyc
	rm -f debian/tmp/usr/lib/python3.7/dist-packages/gnuradio/fosphor/*pyo
	rm -rf debian/tmp/usr/share/doc/gr-fosphor/xml
